org.apache.tiles.core.definition.pattern.wildcard

## Class WildcardDefinitionPatternMatcher

- java.lang.Object
- - org.apache.tiles.core.definition.pattern.wildcard.WildcardDefinitionPatternMatcher

- All Implemented Interfaces:
    DefinitionPatternMatcher

      public class WildcardDefinitionPatternMatcher
      extends Object
      implements DefinitionPatternMatcher

  Matches wildcard patterns in definitions.
  Since:
    2.2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WildcardDefinitionPatternMatcher(String pattern, Definition definition, WildcardHelper wildcardHelper)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Definition` | `createDefinition(String definitionName)` Creates a definition, given the definition name, through the use of pattern matching.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WildcardDefinitionPatternMatcher

          public WildcardDefinitionPatternMatcher(String pattern,
                                                  Definition definition,
                                                  WildcardHelper wildcardHelper)

      Constructor.
      Parameters:
        `pattern` - The pattern to use, in string form.
        `definition` - The definition to use as a basis.
        `wildcardHelper` - The object that parses wildcard expressions and recognized substitution variables.
      Since:
        2.2.0

  - ### Method Detail

    - #### createDefinition

          public Definition createDefinition(String definitionName)

      Creates a definition, given the definition name, through the use of pattern matching.
      Specified by:
        `createDefinition` in interface `DefinitionPatternMatcher`
      Parameters:
        `definitionName` - The definition name to match.
      Returns:
        The created definition, if matched, or `null` if not matched.

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.